import { ColumnConfig } from 'drizzle-orm';
import { ColumnBuilderConfig } from 'drizzle-orm/column-builder';
import { SQLiteColumn, SQLiteColumnBuilder } from './common';
export declare class SQLiteNumericBuilder extends SQLiteColumnBuilder<ColumnBuilderConfig<{
    data: string;
    driverParam: string;
}>> {
    constructor(name: string);
}
export declare class SQLiteNumeric<TTableName extends string> extends SQLiteColumn<ColumnConfig<{
    tableName: TTableName;
    data: string;
    driverParam: string;
}>> {
    protected $sqliteColumnBrand: 'SQLiteNumeric';
    getSQLType(): string;
}
export declare function numeric(name: string): SQLiteNumericBuilder;
